//package com.lqkj.link.config;
//
//import com.lqkj.link.util.JwtUtil;
//import io.jsonwebtoken.Claims;
//import io.jsonwebtoken.Jws;
//import jakarta.servlet.http.HttpServletRequest;
//import jakarta.servlet.http.HttpServletResponse;
//import lombok.extern.slf4j.Slf4j;
//import org.jetbrains.annotations.NotNull;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.stereotype.Component;
//import org.springframework.web.method.HandlerMethod;
//import org.springframework.web.servlet.HandlerInterceptor;
//@Component
//@Slf4j
//public class JwtTokenAdminInterceptor implements HandlerInterceptor {
//
//    public static final String SECRET = "zdvilXBILaMtQVtcJQ19ovIAo6GE1fEreTVYFXU1TZXg42Cc6AacW9fC1LV0u5Pc";
//
//    /**
//     * 拦截器  校验jwt
//     * @param request
//     * @param response
//     * @param handler
//     * @return
//     * @throws Exception
//     */
//
//    public boolean preHandle(@NotNull HttpServletRequest request, @NotNull HttpServletResponse response, @NotNull Object handler) throws Exception{
//        //判断当前拦截到的是Controller的方法还是其他资源
//        if(!(handler instanceof HandlerMethod)){
//            //当前拦截到的不是动态方法，直接放行
//            return true;
//        }
//        //从请求头中获取令牌
//        String token = request.getHeader("access_token");
//        //校验令牌
//        try{
//            log.info("jwt校验:{}",token);
//            Jws<Claims> claimsJws = JwtUtil.parseJWT(token, SECRET);
//
//            Long farId = Long.valueOf(claimsJws.getPayload().get(JwtClaimsConstant.FAR_ID).toString());
//            log.info("当前农户id:{}",farId);
//            BaseContext.setCurrentId(farId); //设置当前登录的用户id
//            //放行
//            return true;
//        }catch (Exception e){
//            //不通过，响应401状态码
//            response.setStatus(HttpStatus.SC_UNAUTHORIZED);
//            return false;
//        }
//    }
//}