alter table geom_info
    add column if not exists pics varchar(1024),
    add column if not exists video_url varchar(1024),
    add column if not exists audio_url varchar(1024),
    add column if not exists brief text,
    add column if not exists navigation bool default false,
    add column if not exists navigation_end varchar(100);

comment on column geom_info.pics is '图片地址：pics';
comment on column geom_info.video_url is '视频文件地址：video_url';
comment on column geom_info.audio_url is '音频文件地址：audio_url';
comment on column geom_info.brief is '简介：brief';
comment on column geom_info.navigation is '是否导航：navigation';
comment on column geom_info.navigation_end is '导航终点：navigation_end';


ALTER TABLE model_info
ALTER COLUMN texture_path TYPE VARCHAR(5000);